CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > Software User Forums > OpenFOAM > OpenFOAM Installation

[OpenFOAM.org] FATAL Error Paraview

Register Blogs Members List Search Today's Posts Mark Forums Read

Like Tree3Likes
  • 2 Post By student666
  • 1 Post By dlcdlcdlc

Reply
 
LinkBack Thread Tools Search this Thread Display Modes
Old   January 1, 2019, 13:20
Default FATAL Error Paraview
  #1
Senior Member
 
M. C.
Join Date: May 2013
Location: Italy
Posts: 286
Blog Entries: 6
Rep Power: 13
student666 is on a distinguished road
Hi all,

I'm having this trouble with paraview and I can't run it.

If I type:
Code:
$ paraFoam 
FATAL ERROR: The official reader module for OpenFOAM data does not exist on
your system.  This means that the version of ParaView you are using was not
compiled with OpenFOAM, or distributed with a packaged version of OpenFOAM.

For information on packaged versions of OpenFOAM/ParaView and compilation of
OpenFOAM/ParaView, see https://openfoam.org/download

Alternatively, you might be able to view your OpenFOAM data with the reader
module provided with ParaView by running:
    paraFoam -builtin
If I type:
Code:
paraFoam -builtin
Created temporary 'run.foam'
**********************************************************
ParaView failed to open using available graphics hardware.
Trying fallback to software rendering using MESA.
**********************************************************
/opt/openfoam-dev/bin/paraFoam: 67: /opt/openfoam-dev/bin/paraFoam: paraview: not found
I just followed the steps on openfoam.org but I can't see any problem during installation.

I'm using LinuxMint 19.1 cinnamon.

thx for any help
student666 is offline   Reply With Quote

Old   January 1, 2019, 13:58
Default [Solved]
  #2
Senior Member
 
M. C.
Join Date: May 2013
Location: Italy
Posts: 286
Blog Entries: 6
Rep Power: 13
student666 is on a distinguished road
ok, problem solved by installing manually the .deb package from



http://dl.openfoam.org/ubuntu/dists/.../binary-amd64/


Regards.
wyldckat and Frost like this.
student666 is offline   Reply With Quote

Old   April 27, 2020, 09:09
Default
  #3
New Member
 
denglichuan
Join Date: Apr 2020
Posts: 1
Rep Power: 0
dlcdlcdlc is on a distinguished road
Quote:
Originally Posted by student666 View Post
ok, problem solved by installing manually the .deb package from



http://dl.openfoam.org/ubuntu/dists/.../binary-amd64/


Regards.
I wonder which .deb package you installed. Tell me in detail, please.
sunflowers likes this.
dlcdlcdlc is offline   Reply With Quote

Old   May 28, 2020, 04:29
Default still confused
  #4
New Member
 
Join Date: May 2020
Posts: 3
Rep Power: 2
sunflowers is on a distinguished road
since you haven't told us which .deb package you downloaded, I downloaded the newest version of openfoam and paraview...
turns out I'm still not able to solve my problem: I installed the paraview package, because I thought this is what wasn't working... openfoam couldn't be installed due to unmet dependencies


can anybody help?
and how do I make sure, that the new installed packages are at the right place from my earlier installed openfoam / directory?
sunflowers is offline   Reply With Quote

Old   May 28, 2020, 17:32
Default
  #5
HPE
Senior Member
 
Herpes Free Engineer
Join Date: Sep 2019
Location: The Home Under The Ground with the Lost Boys
Posts: 623
Rep Power: 7
HPE is on a distinguished road
Hi,

- Could you please clarify your question? I didn't understand whether you try to install ParaView version with whatsoever.

Thank you.
HPE is offline   Reply With Quote

Old   June 5, 2020, 06:57
Default
  #6
New Member
 
Join Date: May 2020
Posts: 3
Rep Power: 2
sunflowers is on a distinguished road
I'm sorry, I'm totally new to ubuntu and my first error was like the one in this thread:


tessa@tessa-MacBook:~/OpenFOAM/tessa-7/run/cavity$ paraFoam &
[1] 2472
tessa@tessa-MacBook:~/OpenFOAM/tessa-7/run/cavity$ FATAL ERROR: The official reader module for OpenFOAM data does not exist on
your system. This means that the version of ParaView you are using was not
compiled with OpenFOAM, or distributed with a packaged version of OpenFOAM.

For information on packaged versions of OpenFOAM/ParaView and compilation of
OpenFOAM/ParaView, see https://openfoam.org/download

Alternatively, you might be able to view your OpenFOAM data with the reader
module provided with ParaView by running:
paraFoam -builtin









second message:
tessa@tessa-MacBook:~/OpenFOAM/tessa-7/run/cavity$ paraFoam -builtin
Created temporary 'cavity.foam'
/home/tessa/OpenFOAM/OpenFOAM-7/bin/paraFoam: 67: paraview: not found







so I thought my problem is the same... but I'm not sure what's the problem and downloading the package didn't solve my problem - although I'm not sure whether what and how I did it was right...
Sorry for so less knowledge. Hoping somebody can help me (:
sunflowers is offline   Reply With Quote

Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
problem during mpi in server: expected Scalar, found on line 0 the word 'nan' muth OpenFOAM Running, Solving & CFD 3 August 27, 2018 04:18
simpleFoam parallel AndrewMortimer OpenFOAM Running, Solving & CFD 12 August 7, 2015 18:45
decomposePar is missing a library whk1992 OpenFOAM Pre-Processing 8 March 7, 2015 07:53
[snappyHexMesh] sHM: FATAL ERROR: More than six unsigned transforms detected Djub OpenFOAM Meshing & Mesh Conversion 0 July 15, 2014 04:43
error while compiling the USER Sub routine CFD user CFX 3 November 25, 2002 15:16


All times are GMT -4. The time now is 14:56.